#!/bin/sh -efu

a= . install2-init-functions
. shell-config

# Don't do anything if samba-usershares is unavailable
[ -f "$destdir/etc/samba/usershares.conf" ] || exit 0

USERSHARES_GROUP="usershares"
GROUPS_DIR="/usr/share/install3/default-groups.d"

if [ "$(exec_chroot control libnss-role status 2>/dev/null)" = enabled ]; then
	exec_chroot control role-usershares enabled >/dev/null 2>&1 ||:
else
	# Create group file for alterator-users
	mkdir -p "$destdir/$GROUPS_DIR"
	echo "$USERSHARES_GROUP" >"$destdir/$GROUPS_DIR/usershare"
fi

# Permissions for home dir must be 0701
tab="$(printf "\t")"
shell_config_set "$destdir/etc/login.defs" UMASK 076 "$tab" "$tab"

# Enable usershares
exec_chroot control smb-conf-usershares enabled >/dev/null 2>&1 ||:

# Enable samba
exec_chroot chkconfig smb on >/dev/null 2>&1 ||:
exec_chroot chkconfig nmb on >/dev/null 2>&1 ||:
